library(lavaan)

# read data
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
data <- read.table(paste0(getwd(), "/bodyattitudes.dat"))
names(data) <- c("id", "bullied", "bmi", "batt1", "batt2", "batt3", "batt4", "batt5","negbodyatt")

# recode missing to NA
data[data == 999] <- NA

# regression
model <- '
  bmi ~~ bullied
  negbodyatt ~ bullied + bmi
'

fit <- sem(model, data, missing = 'fiml', meanstructure = TRUE, fixed.x = FALSE)
summary(fit, rsquare = TRUE, standardize = TRUE)
