library(mitml)

# read stacked imputation data
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
impdata <- read.table(paste0(getwd(), "/imputations.dat"))
names(impdata) <- c("imputation", "id", "bullied", "bmi", "batt1", "batt2", "batt3", "batt4", "batt5","negbodyatt")

# center predictor
impdata$bmic <- impdata$bmi - mean(impdata$bmi)

# analysis and pooling
implist <- as.mitml.list(split(impdata, impdata$imputation))
analysis <- with(implist, lm(negbodyatt ~ bmic + bullied))
estimates <- testEstimates(analysis, var.comp = T)
estimates